Bug 189471 - glxgears error with DRM with kernel 2.6.16-1.2141 and radeon X600
glxgears error with DRM with kernel 2.6.16-1.2141 and radeon X600
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity urgent
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: 188067
  Show dependency treegraph
 
Reported: 2006-04-20 06:13 EDT by Thomas Steudten
Modified: 2015-01-04 17:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-21 03:48:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log with named packages (42.83 KB, application/octet-stream)
2006-04-22 13:23 EDT, Thomas Steudten
no flags Details

  None (edit)
Description Thomas Steudten 2006-04-20 06:13:49 EDT
Description of problem:

Calling glxgears gives:
> glxgears 
drmRadeonCmdBuffer: -22 (exiting)
[drm] Initialized radeon 1.24.0 20060225 on minor 0
[drm] Setting GART location based on new memory map
[drm] Loading R300 Microcode
[drm] writeback test succeeded in 1 usecs
[drm] Setting GART location based on new memory map
[drm] Loading R300 Microcode
[drm] writeback test succeeded in 1 usecs
[drm:r300_emit_3d_load_vbpntr] *ERROR* Offset failed range check (k=0 i=2) while
processing 3D_LOAD_VBPNTR packet.
[drm:r300_emit_packet3] *ERROR* r300_emit_raw_packet3 failed
[drm:r300_do_cp_cmdbuf] *ERROR* r300_emit_packet3 failed
[drm] Setting GART location based on new memory map
[drm] Loading R300 Microcode
[drm] writeback test succeeded in 1 usecs

glxinfo:
OpenGL vendor string: Tungsten Graphics, Inc.
OpenGL renderer string: Mesa DRI R300 20040924 x86/MMX/SSE2 TCL
OpenGL version string: 1.3 Mesa 6.5


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.6.0-1
kernel 2.6.16-1.2141
glx-utils-6.5-4

How reproducible: always.
run given kernel, start glxgears.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
glxgears gives error.

Expected results:
glxgears works as expected.

Additional info:
Xorg.log: gives no error, everything looks fine.
kernel from development.
Comment 1 Andy Burns 2006-04-22 05:29:53 EDT
can you dupe this to #188228
Comment 2 Thomas Steudten 2006-04-22 13:21:11 EDT
Same problem with:

mesa-libGLU-devel-6.4.2-6
mesa-libGL-devel-6.5-4
mesa-libGL-6.5-4
mesa-libGLU-6.4.2-6
xorg-x11-drv-ati-6.6.0-1
kernel-2.6.16-1.2147self_FC5
Comment 3 Thomas Steudten 2006-04-22 13:23:30 EDT
Created attachment 128115 [details]
Xorg.log with named packages

Xorg.log with named packages
Comment 4 Thomas Steudten 2006-05-11 08:25:12 EDT
No work here?
Comment 5 Thomas Steudten 2006-05-15 03:37:53 EDT
Is this fixed for MESA and R300 graphic hw?
Comment 6 Thomas Steudten 2006-05-19 02:15:14 EDT
Will this be fixed in the mesa libraries? I think it's no a problem from the kernel?
Comment 7 Thomas Steudten 2006-05-23 11:36:11 EDT
Please can anybody fix this..
Comment 8 Thomas Steudten 2006-05-23 14:59:56 EDT
Same problem in kernel-2.6.16-1.2122_FC5:
(WW) RADEON(0): [dri] limiting video memory to one aperture of 65536K
(WW) RADEON(0): [dri] detected radeon kernel module version 1.22 but 1.23 or
newer is required for full memory mapping.

Please use radeon kernel module 1.24 in kernels lower than -2147 (rawhide).
Comment 9 Thomas Steudten 2006-05-26 02:19:01 EDT
See also bug #188228.

With:
- kernel 2.6.16..2208 (radeon drm: "Initialized radeon 1.24.0 20060225..")
- mesa-6.5 update with cvs sources from may 26, 2006
- xorg-x11-drv-ati-6.6.0-1

this works for me.

Looks like mesa from RawHide doesn't contain the latest cvs code.

R300 Chipset, ATI Technologies Inc M24 1P [Radeon Mobility X600], device id 0x3150.
Comment 10 Andy Burns 2006-08-20 12:23:10 EDT
With latest kernel/mesa/xorg updates from rawhide glgears *IS* working for me, I
seem to have issues with compiz not decorating windows like a windowmanager
should, but I have wibbly tooltips and a spinning cube desktop, will report
thesde elsewhere ...

Comment 11 Thomas Steudten 2006-08-20 13:26:47 EDT
Hi

Please give full version/ package name that you use. Please try to give output
of glxgears and xengine with Xorg.conf. Try to use DRI/DRM with video overlay
(xosd) with running ant-demo from xscreensaver.
Comment 12 Dave Jones 2006-10-16 13:46:55 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 13 Thomas Steudten 2006-10-18 09:43:46 EDT
With this kernel and/ or mesa-6.5.1 this is not a problem any more for me.

Note You need to log in before you can comment on or make changes to this bug.